cp gmt.conf3 gmt.conf
gmt psxy tlgrid.out_afr -R-70/-36/96/35r -JE27/-10/20 -Clitht_300c.cpt -Sc0.04 -P -K -X1 -Y3.7 -: > model_2.ps 
gmt psxy tlgrid.out_ind -R-70/-36/96/35r -JE27/-10/20 -Clitht_300c.cpt -Sc0.04 -P -K -O -: >> model_2.ps 
make force_plate_spherical_2b
cp omega0.d omega_sub.d
cp resfact.d1 resfact.d
./force_plate_spherical_2b < tlgrid.out_afr > vel_africa_2
./force_plate_spherical_2b < tlgrid.out_ind > vel_india_2
gmt psxy madagascar_recon_87.d -R-70/-36/96/35r -JE27/-10/20 -P -K -O -Sc1.3 -W4,pink >> model_2.ps
gmt psxy india_new_recon2 -R-70/-36/96/35r -JE27/-10/20 -W1 -P -K -O -: >> model_2.ps 
gmt psxy africa_new_recon2 -R-70/-36/96/35r -JE27/-10/20 -W1 -P -K -O -B10g10/10g10wesn -: >> model_2.ps
gmt psxy coast_arabia_recon.d -R-70/-36/96/35r -JE27/-10/20 -W1 -P -K -O -B10g10/10g10wesn >> model_2.ps
gmt psxy coast_africa_recon.d -R-70/-36/96/35r -JE27/-10/20 -W1 -P -K -O -B10g10/10g10wesn >> model_2.ps
gmt psxy coast_madagascar_recon.d -R-70/-36/96/35r -JE27/-10/20 -W1 -P -K -O -B10g10/10g10wesn >> model_2.ps
gmt psxy coast_india_recon.d -R-70/-36/96/35r -JE27/-10/20 -W1 -P -K -O -B10g10/10g10wesn >> model_2.ps
gmt psxy coast_sri_lanka_recon.d -R-70/-36/96/35r -JE27/-10/20 -W1 -P -K -O -B10g10/10g10wesn >> model_2.ps
gmt psxy coast_somalia_recon.d -R-70/-36/96/35r -JE27/-10/20 -W1 -P -K -O -B10g10/10g10wesn >> model_2.ps
gmt psxy vel_africa_2 -R-70/-36/96/35r -JE27/-10/20 -W1.5 -P -K -O -: >> model_2.ps 
gmt psxy vel_india_2 -R-70/-36/96/35r -JE27/-10/20 -W1.5 -P -K -O -: >> model_2.ps 
gmt psscale -Ba75:"lithosphere thickness [km]": -Clitht_300c.cpt -D10/-0.5/20/1h -P -K -O >> model_2.ps
gmt psbasemap -R-70/-36/96/35r -JE27/-10/20 -P -O -B10/10wesn >> model_2.ps
gs -sDEVICE=jpeg -r300 -dBATCH -dNOPAUSE -sOutputFile=model_2.jpg model_2.ps
