C
C     This program to compute the resistance factor as a function of lithosphere thickness depending on viscosity structure
C
      dimension resfact(400)
      open (3,file='visco.d')
      read (3,*)
      read (3,*) nvis
      read (3,*) visc,radbot
      dbot=(1.-radbot)*6371.
      iadd=0
      fint=0.
      do ivis=2,nvis
        read (3,*) viscnew,radtop
        dtop=(1.-radtop)*6371.
        if (ivis.eq.nvis) dtop=0.
        if (viscnew.lt.visc) iadd=1
        if ((dbot.gt.400).and.(dtop.le.400)) then
          do i=400,int(dtop)+1,-1
            resfact(i)=1./(fint+(dbot-1.*i)/visc*1.e18)
          enddo
        else if (dbot.le.400) then
          do i=int(dbot),int(dtop)+1,-1
            resfact(i)=1./(fint+(dbot-1.*i)/visc*1.e18)
          enddo
        endif
        if (iadd.eq.1) fint=fint+(dbot-dtop)/visc*1.e18
        visc=viscnew
        dbot=dtop
      enddo
      open (7,file='resfact.d1')
      open (8,file='resfact.d2')
      resfactnorm=resfact(100)
      do i=400,1,-1
        resfact(i)=resfact(i)/resfactnorm
        write (7,*) i,resfact(i)
        if (i.gt.100) resfact(i)=10.
        if (i.lt.100) resfact(i)=0.1
        write (8,*) i,resfact(i)
      enddo
      close (7)
      close (8)
      end
