C
C     Calculate lithosphere thickness on the regular 0.1 degree grid 
C
      implicit real*8(a-h,o-z)
      character*60 areafile,infile
      dimension nyplate(1800,3600),tplate(1800,3600),tplate2(1800,3600)
      do i=1,1800
        do j=1,3600
          nyplate(i,j)=0
          tplate(i,j)=0.
        enddo
      enddo
      tmax=0.
      read (5,60) areafile
   60 format (a60)
      open (3,file=areafile)
      do i=1,6480000
        read (3,*,end=99) rlat,rlon
        ilat=int(rlat*10+900+0.5)
        ilon=int(rlon*10+1800+0.5)
        nyplate(ilat,ilon)=1
      enddo
   99 close (3)
      do i=1,100
        read (5,60,end=199) infile
        open (3,file=infile)
        do j=1,6480000
          read (3,*,end=299) rlon,rlat,thick
          ilat=int(rlat*10+900)
          ilon=int(rlon*10+1800)
          tplate(ilat,ilon)=thick
          if (thick.gt.tmax) tmax=thick
        enddo
  299   close (3)
      enddo
  199 do iter=1,23
      do i=1,1800
        do j=1,3600
          if ((tplate(i,j).eq.0.).and.(nyplate(i,j).eq.1)
     2    .and.(tplate(i,j+1).ne.0.).and.(nyplate(i,j+1).eq.1)) then
            tplate2(i,j)=tplate(i,j+1)
          else if ((tplate(i,j).eq.0.).and.(nyplate(i,j).eq.1)
     2   .and.(tplate(i,j-1).ne.0.).and.(nyplate(i,j-1).eq.1)) then
            tplate2(i,j)=tplate(i,j-1)
          else if ((tplate(i,j).eq.0.).and.(nyplate(i,j).eq.1)
     2   .and.(tplate(i+1,j).ne.0.).and.(nyplate(i+1,j).eq.1)) then
            tplate2(i,j)=tplate(i+1,j)
          else if ((tplate(i,j).eq.0.).and.(nyplate(i,j).eq.1)
     2   .and.(tplate(i-1,j).ne.0.).and.(nyplate(i-1,j).eq.1)) then
            tplate2(i,j)=tplate(i-1,j)
          endif
        enddo
      enddo
      do i=1,1800
        do j=1,3600
          if ((tplate(i,j).eq.0.).and.(nyplate(i,j).eq.1).and.
     2       (tplate2(i,j).ne.0.)) then
            tplate(i,j)=tplate2(i,j)
          endif
        enddo
      enddo
      enddo
      do i=1,1800
        do j=1,3600
          if (tplate(i,j).eq.0.) tplate(i,j)=80.
          if (nyplate(i,j).eq.1) 
     2      print *,(i-900)/10.,(j-1800)/10.,tplate(i,j)
        enddo
      enddo
      end
