C
C     Take file of lithosphere thickness (three columns)
C     Divide up into separate plates according to plate area file
C     For oceanic areas use sea floor age at the given time
C     and only include areas that are at least as old.
C
      character*60 infile,platefile,agefile,cofile,ocfile
      character*2 plabbr,pl(10)
      read (5,*) time
      read (5,60) infile
      read (5,60) platefile
      read (5,60) agefile
   60 format (a60)
      read *,npl
      do i=1,npl
        read (5,2160) pl(i),cofile
        read (5,60) ocfile
      enddo
 2160 format (a2,1x,a60)
      open (3,file=infile)
      open (4,file=platefile)
      open (2,file=agefile)
      open (7,file=cofile)
      open (8,file=ocfile)
      do i=1,1000000
      read (2,*,end=99) rlon,rlat,age
      read (3,*) rlon,rlat,thick
      read (4,2712) rlatpt,rlongpt,plabbr
 2712 format (2f6.1,1x,a2)
 1006 format (3f10.4,f10.2)
      if (plabbr.eq.pl(1).and.(age.gt.900)) 
     2 write (7,1006) rlon,rlat,thick
      if (plabbr.eq.pl(1).and.(age.lt.900).and.(age.ge.time)) 
     2 write (8,1006) rlon,rlat,10.*sqrt(age-time)
      enddo
   99 close (3)
      close (4)
      close (7)
      close (8)
      end
