cp gmt.conf3 gmt.conf
gmt psxy tlgrid.out_afr -R-70/-36/96/35r -JE27/-10/20 -C100.cpt -Sc0.04 -P -K -X1 -Y3.7 -: > model_3b.ps 
gmt psxy tlgrid.out_ind -R-70/-36/96/35r -JE27/-10/20 -C100.cpt -Sc0.04 -P -K -O -: >> model_3b.ps 
make force_plate_spherical_2b
cp omega0.d omega_sub.d
cp resfact.d2 resfact.d
./force_plate_spherical_2b < tlgrid.out_afr > vel_africa_3a
cp omega.d omega_sub.d
./force_plate_spherical_2b < tlgrid.out_ind > vel_india_3b
gmt psxy madagascar_recon_87.d -R-70/-36/96/35r -JE27/-10/20 -P -K -O -Sc1.3 -W4,pink >> model_3b.ps
gmt psxy india_new_recon2 -R-70/-36/96/35r -JE27/-10/20 -W1 -P -K -O -: >> model_3b.ps 
gmt psxy africa_new_recon2 -R-70/-36/96/35r -JE27/-10/20 -W1 -P -K -O -B10g10/10g10wesn -: >> model_3b.ps
gmt psxy coast_arabia_recon.d -R-70/-36/96/35r -JE27/-10/20 -W1 -P -K -O -B10g10/10g10wesn >> model_3b.ps
gmt psxy coast_africa_recon.d -R-70/-36/96/35r -JE27/-10/20 -W1 -P -K -O -B10g10/10g10wesn >> model_3b.ps
gmt psxy coast_madagascar_recon.d -R-70/-36/96/35r -JE27/-10/20 -W1 -P -K -O -B10g10/10g10wesn >> model_3b.ps
gmt psxy coast_india_recon.d -R-70/-36/96/35r -JE27/-10/20 -W1 -P -K -O -B10g10/10g10wesn >> model_3b.ps
gmt psxy coast_sri_lanka_recon.d -R-70/-36/96/35r -JE27/-10/20 -W1 -P -K -O -B10g10/10g10wesn >> model_3b.ps
gmt psxy coast_somalia_recon.d -R-70/-36/96/35r -JE27/-10/20 -W1 -P -K -O -B10g10/10g10wesn >> model_3b.ps
gmt psxy vel_india_3b -R-70/-36/96/35r -JE27/-10/20 -W1.5 -P -K -O -: >> model_3b.ps 
gmt psscale -Ba75:"lithosphere thickness [km]": -C100.cpt -D10/-0.5/20/1h -P -K -O >> model_3b.ps
gmt psbasemap -R-70/-36/96/35r -JE27/-10/20 -P -O -B10/10wesn >> model_3b.ps
gs -sDEVICE=jpeg -r300 -dBATCH -dNOPAUSE -sOutputFile=model_3b.jpg model_3b.ps
